<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.fragment.pet.PetV2Fragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:paddingHorizontal="@dimen/dp_8">

        <include
            android:id="@+id/il_home_pet_top_bar"
            layout="@layout/layout_top_pet_data_small"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_8" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/home_pet_message_count_text"
            android:layout_width="@dimen/dp_18"
            android:layout_height="@dimen/dp_18"
            android:layout_alignParentEnd="true"
            android:layout_marginTop="@dimen/dp_8"
            android:layout_marginEnd="@dimen/dp_8"
            android:background="@drawable/message_shape_bg"
            android:gravity="center"
            android:text="99"
            android:textColor="@color/white"
            android:textSize="@dimen/textSize10"
            android:visibility="gone" />
    </RelativeLayout>

    <RadioGroup
        android:id="@+id/rg_switch_pet_track"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_40"
        android:layout_gravity="center_horizontal"
        android:layout_marginHorizontal="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8"
        android:background="@drawable/shape36_gray_color_bg"
        android:gravity="fill_vertical"
        android:orientation="horizontal"
        android:padding="@dimen/dp_4">


        <androidx.appcompat.widget.AppCompatRadioButton
            android:id="@+id/rb_pet_switch"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/shape100_yellow_color_bg"
            android:button="@null"
            android:checked="true"
            android:gravity="center"
            android:text="@string/txt_pet"
            android:textColor="@drawable/shape100_yellow_color_bg"
            android:textSize="@dimen/textSize14" />

        <androidx.appcompat.widget.AppCompatRadioButton
            android:id="@+id/rb_track_switch"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/shape100_yellow_color_bg"
            android:button="@null"
            android:gravity="center"
            android:text="@string/txt_tracker"
            android:textColor="@drawable/shape100_yellow_color_bg"
            android:textSize="@dimen/textSize14" />
    </RadioGroup>

    <androidx.viewpager2.widget.ViewPager2
        android:id="@+id/vp2_switch_pet_track"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginHorizontal="@dimen/dp_8"
        android:layout_marginTop="@dimen/dp_8"
        android:layout_marginBottom="@dimen/dp_28"
        android:layout_weight="1" />

</androidx.appcompat.widget.LinearLayoutCompat>